package com.zxbw.modulemain.presenter

import com.zxbw.modulemain.contract.RechargeContract
import com.zxhl.cms.net.ApiClient
import com.zxhl.cms.net.RxSchedulers
import com.zxhl.cms.net.callback.BaseObserver
import com.zxhl.cms.net.model.qy.SkillEntity

class RechargePresenter : RechargeContract.Presenter {

    private val mView: RechargeContract.View

    constructor(mView: RechargeContract.View) {
        this.mView = mView
    }
    override fun getFetchCard(phone:String) {
        ApiClient.homeApi.getFetchallCard(phone).compose(RxSchedulers.observableIO2Main())
            .subscribe(object : BaseObserver<List<SkillEntity>>() {
                override fun onSuccess(result: List<SkillEntity>?) {
                    if (!result.isNullOrEmpty()){

                    }
                }

                override fun onFailure(e: Throwable?, code: String?, errorMsg: String?) {

                }
            })
    }

    override fun getPayList() {

    }
}